iOS 4.3.2 소프트웨어 업데이트의 보안 콘텐츠에 관하여

이 문서에서는 iOS 4.3.2 소프트웨어 업데이트의 보안 콘텐츠에 대해 설명합니다.

이 문서에서는 iTunes를 사용하여 다운로드 및 설치할 수 있는 iOS 4.3.2 소프트웨어 업데이트의 보안 콘텐츠에 대해 설명합니다.

Apple은 고객 보호를 위해 완벽한 조사를 마치고 필요한 패치 또는 출시를 제공할 때까지 보안 문제에 대해 공개하거나, 이야기하거나, 확인하지 않습니다. Apple 제품 보안에 대한 자세한 내용을 알아보려면 Apple 제품 보안 웹 사이트를 참조하십시오.

Apple 제품 보안 PGP 키에 관한 자세한 내용은 'Apple 제품 보안 PGP 키 사용 방법'을 참조하십시오.

가능한 경우 CVE ID로 취약성에 대한 추가 정보를 확인할 수 있습니다.

다른 보안 업데이트에 대한 자세한 내용은 'Apple 보안 업데이트'를 참조하십시오.

iOS 4.3.2 소프트웨어 업데이트

  • 인증 신뢰 정책

    대상: iPhone 3GS 이후 버전용 iOS 3.0~4.3.1, iPod touch (3rd generation) 이후 버전용 iOS 3.1~4.3.1, iPad용 iOS 3.2~4.3.1

    영향: 네트워크에서 특별한 위치에 있는 공격자가 사용자 자격 증명 또는 기타 중요 정보를 가로챌 수 있음

    설명: Comodo 계열사 등록 기관에서 일부 위조된 SSL 인증서를 발행했습니다. 이로 인해 가로채기 공격자가 연결을 재지정하여 사용자 자격 증명 또는 기타 기밀 정보를 가로챌 수 있습니다. 위조된 인증서의 블랙리스트를 작성하여 이 문제를 해결합니다.

    참고: Mac OS X 시스템의 경우 이 문제는 보안 업데이트 2011-002에서 해결되었습니다. Windows 시스템의 경우 Safari에서 호스트 운영 체제의 인증서 저장소를 사용하여 SSL 서버 인증서가 신뢰할 수 있는 것인지 확인합니다. Microsoft 기술 문서 2524375에서 설명한 업데이트를 적용하면 Safari에서 이러한 인증서를 신뢰할 수 없는 인증서로 간주합니다. http://support.microsoft.com/kb/2524375에서 이 문서를 확인할 수 있습니다.

  • libxslt

    대상: iPhone 3GS 이후 버전용 iOS 3.0~4.3.1, iPod touch (3rd generation) 이후 버전용 iOS 3.1~4.3.1, iPad용 iOS 3.2~4.3.1

    영향: 악의적으로 제작된 웹 사이트에 방문하는 경우 힙의 주소가 공개될 수 있음

    설명: generate-id() XPath 함수에 대한 libxslt의 구현에서 힙 버퍼의 주소가 공개되었습니다. 악의적으로 제작된 웹 사이트를 방문하는 경우 힙의 주소가 공개될 수 있고, 따라서 주소 공간 레이아웃 임의 선택 보호를 우회하도록 지원할 수 있습니다. 이 문제는 2개의 힙 버퍼 주소 간의 차이에 기반한 ID를 생성하면 해결됩니다.

    CVE-ID

    CVE-2011-0195: Google Chrome 보안 팀의 Chris Evans

  • QuickLook

    대상: iPhone 3GS 이후 버전용 iOS 3.0~4.3.1, iPod touch (3rd generation) 이후 버전용 iOS 3.1~4.3.1, iPad용 iOS 3.2~4.3.1

    영향: 악의적으로 제작된 Microsoft Office 파일을 보면 응용 프로그램이 예기치 않게 종료되거나 임의 코드가 실행될 수 있음

    설명: QuickLook에서 Microsoft Office 파일을 처리할 때 메모리 손상 문제가 발생합니다. 악의적으로 제작된 Microsoft Office 파일을 보면 응용 프로그램이 예기치 않게 종료되거나 임의 코드가 실행될 수 있습니다.

    CVE-ID

    CVE-2011-1417: TippingPoint ZDI(Zero Day Initiative)의 Charlie Miller 및 Dion Blazakis

  • WebKit

    대상: iPhone 3GS 이후 버전용 iOS 3.0~4.3.1, iPod touch (3rd generation) 이후 버전용 iOS 3.1~4.3.1, iPad용 iOS 3.2~4.3.1

    영향: 악의적으로 제작된 웹 사이트를 방문하는 경우 응용 프로그램이 예기치 않게 종료되거나 임의 코드가 실행될 수 있음

    설명: 노드 세트를 처리할 때 정수 오버플로우 문제가 발생합니다. 악의적으로 제작된 웹 사이트를 방문하는 경우 응용 프로그램이 예기치 않게 종료되거나 임의 코드가 실행될 수 있습니다.

    CVE-ID

    CVE-2011-1290: TippingPoint ZDI(Zero Day Initiative)의 Vincenzo Iozzo, Willem Pinckaers, Ralf-Philipp Weinmann 및 익명의 연구원

  • WebKit

    대상: iPhone 3GS 이후 버전용 iOS 3.0~4.3.1, iPod touch (3rd generation) 이후 버전용 iOS 3.1~4.3.1, iPad용 iOS 3.2~4.3.1

    영향: 악의적으로 제작된 웹 사이트를 방문하는 경우 응용 프로그램이 예기치 않게 종료되거나 임의 코드가 실행될 수 있음

    설명: 텍스트 노드를 처리할 때 use-after-free 문제가 발생합니다. 악의적으로 제작된 웹 사이트를 방문하는 경우 응용 프로그램이 예기치 않게 종료되거나 임의 코드가 실행될 수 있습니다.

    CVE-ID

    CVE-2011-1344: TippingPoint ZDI(Zero Day Initiative)의 Vupen Security 및 Martin Barbella

Apple이 제조하지 않은 제품에 관한 정보 또는 Apple의 관리 또는 테스트 대상이 아닌 독립적인 웹 사이트는 권장 또는 보증 없이 제공되는 것입니다. Apple은 타사 웹 사이트 또는 제품에 대한 선택, 성능, 사용과 관련하여 발생하는 결과에 대해 책임을 지지 않습니다. Apple은 타사 웹 사이트의 정확성 또는 신뢰도에 대해 어떠한 언급도 하지 않습니다. 인터넷을 사용하는 데는 위험이 따르기 마련입니다. 자세한 내용은 공급업체에 문의하십시오. 기타 회사 및 제품 이름은 각 소유자의 상표일 수 있습니다.

게시일: